Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr.inline
Interface InlineLevelLayoutManager

All Superinterfaces:
  LayoutManager, PercentBaseContext

All Known Implementing Classes:
  ContentLayoutManager, InlineStackingLayoutManager, LeafNodeLayoutManager

public interface InlineLevelLayoutManager
extends LayoutManager

The interface for LayoutManagers which generate inline areas

Method Summary
`java.util.List` | `addALetterSpaceTo(java.util.List oldList)` Tell the LM to modify its data, adding a letter space to the word fragment represented by the given elements, and returning the corrected elements
`boolean` | `applyChanges(java.util.List oldList)` Tell the LM to apply the changes due to hyphenation
`java.lang.String` | `getWordChars(Position pos)` Get the word chars corresponding to the given position.
`void` | `hyphenate(Position pos, HyphContext hyphContext)` Tell the LM to hyphenate a word
`void` | `removeWordSpace(java.util.List oldList)` Tell the LM to modify its data, removing the word space represented by the given elements

Methods inherited from interface org.apache.fop.layoutmgr.LayoutManager
`addAreas, addChildArea, addChildLM, addChildLMs, createNextChildLMs, getChangedKnuthElements, getChildLMs, getContentAreaBPD, getContentAreaIPD, getFObj, getGeneratesBlockArea, getGeneratesLineArea, getGeneratesReferenceArea, getNextKnuthElements, getNextKnuthElements, getParent, getParentArea, getPSLM, initialize, isFinished, isRestartable, notifyPos, reset, setFinished, setParent`

Methods inherited from interface org.apache.fop.datatypes.PercentBaseContext
`getBaseLength`

Method Detail

### addALetterSpaceTo

    public java.util.List addALetterSpaceTo(java.util.List oldList)

  Tell the LM to modify its data, adding a letter space to the word fragment represented by the given elements, and returning the corrected elements

  Parameters:
    `oldList` - the elements which must be given one more letter space
  Returns:
    the new elements replacing the old ones

### removeWordSpace

    public void removeWordSpace(java.util.List oldList)

  Tell the LM to modify its data, removing the word space represented by the given elements

  Parameters:
    `oldList` - the elements representing the word space

### getWordChars

    public java.lang.String getWordChars(Position pos)

  Get the word chars corresponding to the given position.

  Parameters:
    `pos` - the position referring to the needed word chars.

### hyphenate

    public void hyphenate(Position pos,
                          HyphContext hyphContext)

  Tell the LM to hyphenate a word

  Parameters:
    `pos` - the Position referring to the word
    `hyphContext` - the HyphContext storing hyphenation information

### applyChanges

    public boolean applyChanges(java.util.List oldList)

  Tell the LM to apply the changes due to hyphenation

  Parameters:
    `oldList` - the list of the old elements the changes refer to
  Returns:
    true if the LM had to change its data, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.